Skip to main content
POST
/
projects
/
{project_name}
/
tables
/
{table_id}
/
forward
Forward data to table
curl --request POST \
  --url https://api.cloudsquid.io/api/projects/{project_name}/tables/{table_id}/forward \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "type": "data",
  "data": [
    {
      "asset_name": "<string>",
      "row_data": {}
    }
  ]
}
'
{
  "assets_created": 123,
  "asset_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

project_name
string
required

The name of the project

table_id
string<uuid>
required

The id of the reconcile table

Body

application/json
type
enum<string>
required

Input type discriminator

Available options:
data
data
object[]
required

Array of assets with names and data

Minimum array length: 1

Response

Assets created successfully

assets_created
integer
required

Number of assets created

asset_ids
string<uuid>[]
required

List of created asset IDs

message
string
required